Bug 5266 - проблемы с настройкой XKB
: проблемы с настройкой XKB
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnome-settings)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 15403
  Show dependency tree
 
Reported: 2004-10-01 16:23 by
Modified: 2008-08-20 00:14 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-01 16:23:48
При каждом запуске Гнома выводится табличка вот такого содержания:


Ошибка активирования параметров XKB.
Возможно, это внутренняя ошибка X-сервера.


Данные о версии X-сервера:
The XFree86 Project, Inc
40300001
Вы используете XFree 4.3.0.
Эта версия имеет известные проблемы со сложной настройкой XKB.
Попробуйте использовать более простую настройку или обновите XFree86.
При составлении отчета об ошибке пожалуйста включите:
- Результат команды xprop -root | grep XKB
- Результат команды gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb



Привожу вывод запрошенных комманд:


%xprop -root | grep XKB
_XKB_RULES_NAMES_BACKUP(STRING) = "xfree86", "pc105", "us,ua,ru",
"winkeys,winkeys,winkeys",
+"grp:ctrl_shift_toggle,grp_led:scroll"
_XKB_RULES_NAMES(STRING) = "xfree86", "pc105", "us,ua(winkeys),ru(winkeys)",
"winkeys",
+"grp:ctrl_shift_toggle,grp_led:scroll"


%gconftool-2 -R /desktop/gnome/peripherals/keyboard/xkb
 layouts = [us  winkeys,ua      winkeys,ru      winkeys]
 model = pc105
 overrideSettings = false
 options = [grp grp:ctrl_shift_toggle,grp_led   grp_led:scroll]

Изменение конфига иксов в области XKB ничего не изменило.

Больше никаких проблем с Гномом нету, свободно печатаю во всех трёх раскладках.

Вывод сообщения прекратился после того, как я зашёл в центр управления в секцию
настройки клавиатуры, группу "раскладки", изменил немного конфигурацию, закрыл
диалог, октрыл его снова, веррнул назад старые установки и закрыл.

Steps to Reproduce:
1. Проблема вопроизводится при попытке запуска Гному из-под свежесозданного
юзера.
2. Не зависит от конфигурации XKB в конфиге иксов.
3.
------- Comment #1 From 2006-09-27 17:24:06 -------
Саш, проверь с 2.16 по возможности.
Андрюш, или "было и прошло"?
------- Comment #2 From 2006-09-28 09:49:35 -------
Не прошло, как было, так и осталось (у меня в том числе). Пока не знаю, с какой
стороны к этому подступаться. На ходовые качества не влияет, а из интереса
смотреть - нет времени.
------- Comment #3 From 2006-09-28 09:51:37 -------
Хотя нет, одна мысль всё же есть: по какой-то причине не удаётся применить
конфигурацию GNOME к xkb; «всё работает» просто потому, что
xkb-шные
параметры часто прописаны в xorg.conf такими же, как в конфигурации GNOME.
Возможно, проблема с какими-то правами доступа или что...
------- Comment #4 From 2006-09-28 09:53:03 -------
Тьфу блин, опять HTML entities в плейнтексте забыл...
------- Comment #5 From 2008-08-20 00:14:13 -------
Пакета gnome-settings не существует, на современном сизифе ошибка не
воспроизводится -- fixed